using CMSMicroservice.Domain.Events;
using Microsoft.Extensions.Logging;

namespace CMSMicroservice.Application.ProductImagesCQ.EventHandlers;

public class DeleteProductImagesEventHandler : INotificationHandler<DeleteProductImagesEvent>
{
    private readonly ILogger<
        DeleteProductImagesEventHandler> _logger;

    public DeleteProductImagesEventHandler(ILogger<DeleteProductImagesEventHandler> logger)
    {
        _logger = logger;
    }

    public Task Handle(DeleteProductImagesEvent notification, CancellationToken cancellationToken)
    {
        _logger.LogInformation("Domain Event: {DomainEvent}", notification.GetType().Name);

        return Task.CompletedTask;
    }
}
